Issue a proof-of-work challenge
GET
/api/v1/auth/challenge
const url = 'https://api.deploybase.eu/api/v1/api/v1/auth/challenge';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.deploybase.eu/api/v1/api/v1/auth/challengeReturns a signed challenge for the registration form to solve. Stateless and unauthenticated; single-use once solved. No authentication required.
Responses
Section titled “ Responses ”OK
Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
data
object
parameters
object
algorithm
Algorithm is the key-derivation function, e.g. “PBKDF2/SHA-256”.
string
cost
Cost is key-derivation iterations per solver attempt.
integer
expiresAt
ExpiresAt is a Unix timestamp in seconds.
integer
keyLength
integer
keyPrefix
string
nonce
string
salt
string
signature
string
Example generated
{ "data": { "parameters": { "algorithm": "example", "cost": 1, "expiresAt": 1, "keyLength": 1, "keyPrefix": "example", "nonce": "example", "salt": "example" }, "signature": "example" }, "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}Could not issue a challenge
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}